import UnoCSS from "unocss/vite";
import { defineConfig } from "vite";

export default defineConfig({
  plugins: [
    UnoCSS()
  ],
  build: {
    emptyOutDir: true,
    manifest: true,
    rollupOptions: {
      input: [
        './main.js'
      ],
      output: {
        entryFileNames: `[name].js`,
        assetFileNames: `[name].[ext]`
      },
    }
  },
  server: {
    cors: true,
    origin: 'https://SITE.ddev.site:5173'
  }
})
