# UnoCSS Fluid Preset
https://renatomoor.github.io/unocss-preset-fluid/

__uno.config.js__

```javascript
presetFluid({
  maxWidth: 1024,
  minWidth: 368,
  extendMaxWidth: 1200,
  extendMinWidth: 320,
  remBase: 16,
  useRemByDefault: false,
  ranges: {
            /* Minor third scale */
    xs: [12.5, 14.16666667],
    sm: [15, 17],
    md: [18, 20.4],
    lg: [21.6, 24.8],
    xl: [25.92, 29.376],
    '2xl': [31.104, 35.2512],
    '3xl': [37.3248, 42.30144],
            /* Single column width */
    page: [368, 640]
  },
  commentHelpers: true,
})
```

